Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1807366 - [abrt] wxMaxima: wxTrap()(): wxmaxima killed by SIGTRAP
Summary: [abrt] wxMaxima: wxTrap()(): wxmaxima killed by SIGTRAP
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: wxMaxima
Version: 31
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:c4613da8a0be7b2a8571f416ad2...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-02-26 08:05 UTC by eike.wuelfers
Modified: 2020-04-02 09:54 UTC (History)
2 users (show)

Fixed In Version: wxMaxima-20.03.1-1.fc32 wxMaxima-20.03.1-1.fc30 wxMaxima-20.03.1-1.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-01 00:18:04 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
File: backtrace (deleted)
2020-02-26 08:05 UTC, eike.wuelfers
no flags Details
File: core_backtrace (deleted)
2020-02-26 08:06 UTC, eike.wuelfers
no flags Details
File: cpuinfo (deleted)
2020-02-26 08:06 UTC, eike.wuelfers
no flags Details
File: dso_list (deleted)
2020-02-26 08:06 UTC, eike.wuelfers
no flags Details
File: environ (deleted)
2020-02-26 08:06 UTC, eike.wuelfers
no flags Details
File: limits (deleted)
2020-02-26 08:06 UTC, eike.wuelfers
no flags Details
File: maps (deleted)
2020-02-26 08:06 UTC, eike.wuelfers
no flags Details
File: mountinfo (deleted)
2020-02-26 08:06 UTC, eike.wuelfers
no flags Details
File: open_fds (deleted)
2020-02-26 08:06 UTC, eike.wuelfers
no flags Details
File: proc_pid_status (deleted)
2020-02-26 08:06 UTC, eike.wuelfers
no flags Details
File: var_log_messages (deleted)
2020-02-26 08:06 UTC, eike.wuelfers
no flags Details
Screenshot of the error before crash (deleted)
2020-02-26 10:30 UTC, eike.wuelfers
no flags Details

Description eike.wuelfers 2020-02-26 08:05:55 UTC
Description of problem:
When runnning any command or pressing any button or menu item in wxMaxima.

Version-Release number of selected component:
wxMaxima-19.07.0-2.fc31

Additional info:
reporter:       libreport-2.12.0
backtrace_rating: 4
cgroup:         0::/user.slice/user-1026.slice/user/gnome-launched-io.github.wxmaxima_developers.wxMaxima.desktop-16680.scope
cmdline:        wxmaxima
crash_function: wxTrap()
executable:     /usr/bin/wxmaxima
journald_cursor: s=3fb91ed45f18429cb67d25425e907ecb;i=4304;b=54b7f250f1704d3ab9dad9739a6a6f4a;m=243f75f17;t=59f6470ab053e;x=6c887d48b70167d5
kernel:         5.4.20-200.fc31.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1026

Truncated backtrace:
Thread no. 1 (10 frames)
 #1 wxTrap() at ../src/common/appbase.cpp:1051
 #2 wxGUIAppTraits::ShowAssertDialog(wxString const&) at ../src/gtk/utilsgtk.cpp:345
 #3 ShowAssertDialog(wxString const&, int, wxString const&, wxString const&, wxString const&, wxAppTraits*) at /usr/include/c++/9/bits/char_traits.h:413
 #4 wxAppConsoleBase::OnAssertFailure(wchar_t const*, int, wchar_t const*, wchar_t const*, wchar_t const*) at ../include/wx/string.h:3488
 #5 wxApp::OnAssertFailure(wchar_t const*, int, wchar_t const*, wchar_t const*, wchar_t const*) at ../src/gtk/app.cpp:540
 #6 wxDefaultAssertHandler(wxString const&, int, wxString const&, wxString const&, wxString const&) at ../include/wx/string.h:4179
 #7 wxOnAssert(char const*, int, char const*, char const*, wchar_t const*) at ../include/wx/string.h:3488
 #8 wxDisplay::wxDisplay(unsigned int) at ../include/wx/display_impl.h:82
 #9 wxStandardDialogLayoutAdapter::DoMustScroll(wxDialog*, wxSize&, wxSize&) at ../src/common/dlgcmn.cpp:907
 #10 wxStandardDialogLayoutAdapter::DoFitWithScrolling(wxDialog*, wxWindowList&) at ../src/common/dlgcmn.cpp:954

Comment 1 eike.wuelfers 2020-02-26 08:05:58 UTC
Created attachment 1665864 [details]
File: backtrace

Comment 2 eike.wuelfers 2020-02-26 08:06:00 UTC
Created attachment 1665865 [details]
File: core_backtrace

Comment 3 eike.wuelfers 2020-02-26 08:06:01 UTC
Created attachment 1665866 [details]
File: cpuinfo

Comment 4 eike.wuelfers 2020-02-26 08:06:03 UTC
Created attachment 1665867 [details]
File: dso_list

Comment 5 eike.wuelfers 2020-02-26 08:06:04 UTC
Created attachment 1665868 [details]
File: environ

Comment 6 eike.wuelfers 2020-02-26 08:06:05 UTC
Created attachment 1665869 [details]
File: limits

Comment 7 eike.wuelfers 2020-02-26 08:06:07 UTC
Created attachment 1665870 [details]
File: maps

Comment 8 eike.wuelfers 2020-02-26 08:06:08 UTC
Created attachment 1665871 [details]
File: mountinfo

Comment 9 eike.wuelfers 2020-02-26 08:06:09 UTC
Created attachment 1665872 [details]
File: open_fds

Comment 10 eike.wuelfers 2020-02-26 08:06:10 UTC
Created attachment 1665873 [details]
File: proc_pid_status

Comment 11 eike.wuelfers 2020-02-26 08:06:12 UTC
Created attachment 1665874 [details]
File: var_log_messages

Comment 12 José Matos 2020-02-26 10:13:14 UTC
There is a new update wxMaxima-20.02.2-1.fc31
https://bodhi.fedoraproject.org/updates/FEDORA-2020-de6f348aa6

That is pending to enter testing.

The build is here:
https://koji.fedoraproject.org/koji/buildinfo?buildID=1470000

I would be interested in knowing if this persists.

Comment 13 eike.wuelfers 2020-02-26 10:28:29 UTC
Hi José,

thank you for the quick reply!

I tried the rpm from the koji build and I still get this error.
I'll attach a screenshot, that's what happens when I click "Laplace Transfrom" from the menu.

(I did not update maxima itself, only wxMaxima, because this error seemed wx-specific enough...)

Let me know if I can assist more.

Comment 14 eike.wuelfers 2020-02-26 10:30:13 UTC
Created attachment 1665906 [details]
Screenshot of the error before crash

This is the error that appears before the crash.
Clicking "Stop" leads to the crash.
Clicking "Continue" a few times eventually opens the dialog box.

Comment 15 eike.wuelfers 2020-02-26 10:32:56 UTC
Oh, you know what? Just figured out, I only get the error when I have multiple monitors attached!
It works without error on only one screen.

Comment 16 eike.wuelfers 2020-02-26 10:38:47 UTC
Possibly related: https://github.com/wxMaxima-developers/wxmaxima/issues/1092

Comment 17 Fedora Update System 2020-03-24 11:39:52 UTC
FEDORA-2020-d8ca214b37 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-d8ca214b37

Comment 18 Fedora Update System 2020-03-24 11:41:55 UTC
FEDORA-2020-f9acf2a673 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2020-f9acf2a673

Comment 19 Fedora Update System 2020-03-24 19:55:18 UTC
FEDORA-2020-d8ca214b37 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-d8ca214b37`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-d8ca214b37

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 20 Fedora Update System 2020-03-25 09:49:33 UTC
FEDORA-2020-f9acf2a673 has been pushed to the Fedora 30 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-f9acf2a673`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-f9acf2a673

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 21 Fedora Update System 2020-03-25 09:49:46 UTC
FEDORA-2020-b3b1171dbe has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-b3b1171dbe`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-b3b1171dbe

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 22 Fedora Update System 2020-04-01 00:18:04 UTC
FEDORA-2020-d8ca214b37 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 23 Fedora Update System 2020-04-01 16:32:49 UTC
FEDORA-2020-d8ca214b37 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 24 Fedora Update System 2020-04-02 09:18:46 UTC
FEDORA-2020-f9acf2a673 has been pushed to the Fedora 30 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 25 Fedora Update System 2020-04-02 09:54:49 UTC
FEDORA-2020-b3b1171dbe has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.